var Productos_inventario_productos_kardex=function(){
	this.baseUrl=null;
	this.windowId=null;
	/*Inicializar entorno*/
	this.initializeEnviroment=function(url,winId){
		var _this=this;
		this.baseUrl=url;
		this.windowId=winId;
		this.initializeGUIComponets();
		this.initializeListeners();
	},
	/*Inicializar componentes de la interfaz*/
	this.initializeGUIComponets=function(){
		/*Calendario inicio*/
		$("#"+this.windowId+" #producto-kardex-inicio").datepicker({
			language:'es',
			autoclose:true,
			format:'dd-mm-yyyy',
		});
		/*Calendario final*/
		$("#"+this.windowId+" #producto-kardex-final").datepicker({
			language:'es',
			autoclose:true,
			format:'dd-mm-yyyy',
		});
	},
	this.initializeListeners=function(){
		var _this=this;
		/*BOTON generar kardex (CLICK)*/
		$("#"+this.windowId+" #producto-kardex-generar-btn").click(function(){
			if(!$(this).is(':disabled')){
				$(this).prop("disabled","disabled");
				$("#"+_this.windowId+" #producto-kardex-wrapper").html("");
				$.get(_this.baseUrl+"productos/generarkardex",{id:$("#"+_this.windowId+" #producto-kardex-id-producto").val(),inicio:$("#"+_this.windowId+" #producto-kardex-inicio").val(),fin:$("#"+_this.windowId+" #producto-kardex-final").val()},function(kardex){
					$("#"+_this.windowId+" #producto-kardex-wrapper").html(kardex);
						$("#"+_this.windowId+" #producto-kardex-generar-btn").removeAttr("disabled");
				},"html");
			}
		});
	}
}